> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create theme

> Developer API operation for POST /dev/v1/themes/control/create.



## OpenAPI

````yaml /openapi.json post /dev/v1/themes/control/create
openapi: 3.0.3
info:
  title: Shoppex Developer API
  description: Mintlify-compatible Developer API reference for Shoppex.
  version: 1.0.0
  contact:
    name: Shoppex Support
    email: support@shoppex.io
    url: https://shoppex.io
servers:
  - url: https://api.shoppex.io
security:
  - bearerAuth: []
paths:
  /dev/v1/themes/control/create:
    post:
      tags:
        - Themes
      summary: Create theme
      description: Developer API operation for POST /dev/v1/themes/control/create.
      operationId: postDevV1ThemesControlCreate
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - base
              properties:
                base:
                  type: string
                  enum:
                    - default
                    - starlight
                    - pulse
                    - clean-minimal
                    - classic
                name:
                  type: string
                  minLength: 1
                  maxLength: 120
                setAsActive:
                  type: boolean
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    additionalProperties: true
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Shoppex API key in the Authorization header.

````